PATCH
/docs/{docId}/accessChange who has access to a document
Updates the access settings for a document. Supply delta with the changes to apply, including an allowed maxInheritedRole value when changing the maximum inherited role.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
The UUID of the document whose access settings to change.
The changes to apply to the document's access settings. Include the changes in delta.
deltaobjectrequired
The access changes to apply, including an optional `maxInheritedRole` and user access settings.
200Returns confirmation that the document access changes were applied.
Error handling
delta is required. If you set maxInheritedRole, it must be owners, editors, or viewers; docId must be a document UUID that identifies an existing document.
